Package org.postgresql.jdbc

# Enum AutoSave

java.lang.Object
java.lang.Enum<AutoSave>
org.postgresql.jdbc.AutoSave

All Implemented Interfaces:
  `Serializable`, `Comparable<AutoSave>`, `java.lang.constant.Constable`

public enum AutoSave extends Enum<AutoSave>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  `CONSERVATIVE`
  `NEVER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AutoSave`
  `of(String value)`
  `String`
  `value()`
  `static AutoSave`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AutoSave[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final AutoSave NEVER

  - ### ALWAYS

    public static final AutoSave ALWAYS

  - ### CONSERVATIVE

    public static final AutoSave CONSERVATIVE

- ## Method Details

  - ### values

    public static AutoSave[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AutoSave valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### of

    public static AutoSave of(String value)